Package com.salesforce.datacloud.jdbc.core.accessor.impl

## Class ListVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.BaseListVectorAccessor
    - - com.salesforce.datacloud.jdbc.core.accessor.impl.ListVectorAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

    public class ListVectorAccessor
    extends BaseListVectorAccessor

### Nested Class Summary

### Nested classes/interfaces inherited from class com.salesforce.datacloud.jdbc.core.accessor.impl.BaseListVectorAccessor

`BaseListVectorAccessor.VectorProvider`

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
`ListVectorAccessor​(org.apache.arrow.vector.complex.ListVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.arrow.vector.FieldVector` `getDataVector()`
`protected long` `getEndOffset​(int index)`
`Object` `getObject()`
`protected long` `getStartOffset​(int index)`
`protected boolean` `isNull​(int index)`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.impl.BaseListVectorAccessor

`getArray, getListObject, getObjectClass`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCurrentRow, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListVectorAccessor

    public ListVectorAccessor​(org.apache.arrow.vector.complex.ListVector vector,
                              IntSupplier currentRowSupplier,
                              QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

### Method Detail

#### getObject

    public Object getObject()
                     throws SQLException

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`
Throws:
  `SQLException`

#### getStartOffset

    protected long getStartOffset​(int index)

Specified by:
  `getStartOffset` in class `BaseListVectorAccessor`

#### getEndOffset

    protected long getEndOffset​(int index)

Specified by:
  `getEndOffset` in class `BaseListVectorAccessor`

#### getDataVector

    protected org.apache.arrow.vector.FieldVector getDataVector()

Specified by:
  `getDataVector` in class `BaseListVectorAccessor`

#### isNull

    protected boolean isNull​(int index)

Specified by:
  `isNull` in class `BaseListVectorAccessor`